//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Drawing;

namespace nispi.OptionControl
{
    partial class OutWardTabData : CommonInEvent
    {
        public byte TabColorStartRed
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabColorStartRed = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabColorStartRed;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabColorStartGreen
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabColorStartGreen = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabColorStartGreen;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabColorStartBlue
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabColorStartBlue = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabColorStartBlue;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabColorEndRed
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabColorEndRed = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabColorEndRed;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabColorEndGreen
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabColorEndGreen = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabColorEndGreen;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte TabColorEndBlue
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.tabColorEndBlue= value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.tabColorEndBlue;
                mutex.ReleaseMutex();
                return data;
            }
        }

    }
}
